#ifndef SHELLSCROLLBAR_H
#define SHELLSCROLLBAR_H

#include "glm/vec2.hpp"
#include "scene/gui/scrollbarnode.h"

class SparrowShell;

class ShellScrollBar : public ScrollBarNode
{
    SparrowShell* m_shell;
//    float m_max_height;
    glm::ivec2 m_position;

    glm::vec3 m_color;
public:
    ShellScrollBar(SparrowShell* shell);
    void update();

    void setColor(glm::vec3 color){m_color = color;}

};
#endif // SHELLSCROLLBAR_H
